package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.mesBean.TaskPeopleBean;
import com.wd.workoffice.bean.mesBean.WorkTaskBean;
import com.wd.workoffice.bean.workEnum.WorkOrder;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class WorkTaskPeopleAdapter extends BaseQuickAdapter<TaskPeopleBean.ListBean, BaseViewHolder> {

    public WorkTaskPeopleAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, TaskPeopleBean.ListBean item) {
        helper.setText(R.id.tv_no, String.format("任务号:%s", item.getActNum()));
        helper.setText(R.id.tv_code, item.getUserCode());
        helper.setText(R.id.tv_name, item.getUserName());
        helper.setText(R.id.tv_type, item.getCraftName());
        helper.setText(R.id.tv_skill, item.getSkillName());
        helper.addOnClickListener(R.id.tv_edit);
        helper.addOnClickListener(R.id.tv_delete);
    }
}

